Package org.drinkless.tdlib

# Class TdApi.DownloadedFileCounts

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.DownloadedFileCounts

Enclosing class:
  `TdApi`

public static class TdApi.DownloadedFileCounts extends TdApi.Object
Contains number of being downloaded and recently downloaded files found.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `activeCount`
  Number of active file downloads found, including paused.
  `int`
  `completedCount`
  Number of completed file downloads found.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `pausedCount`
  Number of paused file downloads found.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DownloadedFileCounts()`
  Contains number of being downloaded and recently downloaded files found.
  `DownloadedFileCounts(int activeCount, int pausedCount, int completedCount)`
  Contains number of being downloaded and recently downloaded files found.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### activeCount

    public int activeCount
    Number of active file downloads found, including paused.

  - ### pausedCount

    public int pausedCount
    Number of paused file downloads found.

  - ### completedCount

    public int completedCount
    Number of completed file downloads found.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DownloadedFileCounts

    public DownloadedFileCounts()
    Contains number of being downloaded and recently downloaded files found.

  - ### DownloadedFileCounts

    public DownloadedFileCounts(int activeCount, int pausedCount, int completedCount)
    Contains number of being downloaded and recently downloaded files found.
    Parameters:
      `activeCount` - Number of active file downloads found, including paused.
      `pausedCount` - Number of paused file downloads found.
      `completedCount` - Number of completed file downloads found.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR